<template>
    <div class="filter_container filter_search" :class="{opened: isOpened}">
        <div class="close" @click="close"><plus-svg></plus-svg></div>
        <div class="filter_title">{{ $t('message.search') }}</div>
        <input type="text" :placeholder="$t('message.filter_search')" v-model="search">
        <button class="button" @click="submit">{{ $t('message.search_button') }}</button>
    </div>
</template>

<script>
    import Plus  from "../../svg/Plus";

    export default {
        components: {
            "plus-svg": Plus
        },
        props: ['isOpened'],
        data(){
            return {
                search: '',
            }
        },
        methods: {
            close(){
                this.$emit('close');
            },
            submit(){
                this.$emit('search', this.search);
            }
        }
    }
</script>
